Create a publish job
post
http://{PublishServerHost}/api/productCatalogManagement/v1/publishJob
Creates a publish job using the supplied request payload and starts the publication process.
Request
There are no request parameters for this operation.
Supported Media Types
- application/json
Root Schema : PublishJob_Create
Type:
objectTitle:
PublishJob_CreateThe task that initiates publishing of a project.
Show Source
-
projectId(required): string
The ID of the project associated with the publish job create.
Response
201 Response
The publish job was created successfully.
400 Response
Your request couldn't be processed because it contains missing or invalid information, such as a validation error on an input field, a missing required value, and so forth.
Root Schema : Error
Type:
objectTitle:
ErrorThe error resource.
Show Source
-
@schemaLocation: string
The URI of the schema that defines the error.
-
@type: string
The class type of a REST resource.
-
code(required): string
Application related code (as defined in the API or from a common list).
-
message: string
The text that provides more details and corrective actions related to the error. This can be shown to a client user.
-
reason(required): string
The text that explains the reason for error. This can be shown to a client user.
-
referenceError: string
The URL pointing to documentation describing the error.
-
status: string
The status of the error.
401 Response
Your request isn't authorized. The authentication credentials included with this request are missing or invalid.
Root Schema : Error
Type:
objectTitle:
ErrorThe error resource.
Show Source
-
@schemaLocation: string
The URI of the schema that defines the error.
-
@type: string
The class type of a REST resource.
-
code(required): string
Application related code (as defined in the API or from a common list).
-
message: string
The text that provides more details and corrective actions related to the error. This can be shown to a client user.
-
reason(required): string
The text that explains the reason for error. This can be shown to a client user.
-
referenceError: string
The URL pointing to documentation describing the error.
-
status: string
The status of the error.
404 Response
The resource with the specified URI couldn't be found.
Root Schema : Error
Type:
objectTitle:
ErrorThe error resource.
Show Source
-
@schemaLocation: string
The URI of the schema that defines the error.
-
@type: string
The class type of a REST resource.
-
code(required): string
Application related code (as defined in the API or from a common list).
-
message: string
The text that provides more details and corrective actions related to the error. This can be shown to a client user.
-
reason(required): string
The text that explains the reason for error. This can be shown to a client user.
-
referenceError: string
The URL pointing to documentation describing the error.
-
status: string
The status of the error.
405 Response
HTTP action specified in the request (DELETE, GET, POST, PUT) isn't supported for this request URI.
Root Schema : Error
Type:
objectTitle:
ErrorThe error resource.
Show Source
-
@schemaLocation: string
The URI of the schema that defines the error.
-
@type: string
The class type of a REST resource.
-
code(required): string
Application related code (as defined in the API or from a common list).
-
message: string
The text that provides more details and corrective actions related to the error. This can be shown to a client user.
-
reason(required): string
The text that explains the reason for error. This can be shown to a client user.
-
referenceError: string
The URL pointing to documentation describing the error.
-
status: string
The status of the error.
409 Response
The request can't be completed due to a conflict with the current state of the resource.
Root Schema : Error
Type:
objectTitle:
ErrorThe error resource.
Show Source
-
@schemaLocation: string
The URI of the schema that defines the error.
-
@type: string
The class type of a REST resource.
-
code(required): string
Application related code (as defined in the API or from a common list).
-
message: string
The text that provides more details and corrective actions related to the error. This can be shown to a client user.
-
reason(required): string
The text that explains the reason for error. This can be shown to a client user.
-
referenceError: string
The URL pointing to documentation describing the error.
-
status: string
The status of the error.
500 Response
The server encountered something unexpected that prevented it from completing the request.
Root Schema : Error
Type:
objectTitle:
ErrorThe error resource.
Show Source
-
@schemaLocation: string
The URI of the schema that defines the error.
-
@type: string
The class type of a REST resource.
-
code(required): string
Application related code (as defined in the API or from a common list).
-
message: string
The text that provides more details and corrective actions related to the error. This can be shown to a client user.
-
reason(required): string
The text that explains the reason for error. This can be shown to a client user.
-
referenceError: string
The URL pointing to documentation describing the error.
-
status: string
The status of the error.
Examples
The following example shows how to create a publish job by submitting a POST request on the REST resource using cURL.
cURL Command
curl -H 'Authorization:
Bearer<accessToken>' -X POST
https://{FusionAppsHost}/api/productCatalogManagement/v1/publishJob'
\ -H 'Content-Type: application/json' -D @create_publishjob.json | json_pp \
Example of Request Body
The following
example shows the contents of the request body in JSON format.
{
"projectId": "SpringProject"
}Example of Response Body
The following example shows the contents of the response body in JSON format.
{
"id": "DocProject",
"name": "Doc Project",
"lifecycleStatus": "Ready to publish",
"action": "PUBLISH_INITIATED",
"href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/PublishingAPI/publishProject",
"@type": "ProjectOracle",
"publishJobRef": {
"id": "300100185433961",
"href": "https://{FusionAppsHost}/crmRestApi/resources/11.13.18.05/atcPublishJobs/300100185433961",
"@referredType": "JobOracle"
},
"projectItems": [
{
"name": "ProdSpecProject0001234",
"id": "ProdSpecProject0001234",
"version": "1.0",
"href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/tmf-api/productCatalogManagement/v4/productSpecification/ProdSpecProject0001234",
"@referredType": "ProductSpecificationOracle"
},
{
"name": "TestPOP0112",
"id": "TestPOP0112",
"version": "1.0",
"href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/tmf-api/productCatalogManagement/v4/productOfferingPrice/TestPOP0112",
"@referredType": "ProductOfferingPriceOracle"
},
{
"name": "TestProdOffering00014",
"id": "TestProdOffering00014",
"version": "1.0",
"href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/tmf-api/productCatalogManagement/v4/productOffering/TestProdOffering00014",
"@referredType": "ProductOfferingOracle"
},
{
"name": "TestPOP0114 Priceupdated",
"id": "TestPOP0114",
"version": "1.0",
"href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/tmf-api/productCatalogManagement/v4/productOfferingPrice/TestPOP0114",
"@referredType": "ProductOfferingPriceOracle"
},
{
"name": "IPTV Product Line1",
"id": "IPTVProductLine1",
"version": "1.0",
"href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/tmf-api/productCatalogManagement/v4/productLine/IPTVProductLine1",
"@referredType": "ProductLineOracle"
},
{
"name": "TestPOP0122",
"id": "TestPOP0122",
"version": "1.0",
"href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/tmf-api/productCatalogManagement/v4/productOfferingPrice/TestPOP0122",
"@referredType": "ProductOfferingPriceOracle"
},
{
"name": "Leather Pouch OTC Price1",
"id": "LeatherPouchOTCPrice1APIdocs1",
"version": "1.0",
"href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/tmf-api/productCatalogManagement/v4/productOfferingPrice/LeatherPouchOTCPrice1APIdocs1",
"@referredType": "ProductOfferingPriceOracle"
},
{
"name": "Base Station PO TestProdOffering00020",
"id": "TestProdOffering00020",
"version": "1.0",
"href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/tmf-api/productCatalogManagement/v4/productOffering/TestProdOffering00020",
"@referredType": "ProductOfferingOracle"
},
{
"name": "TestProdOffering00014",
"id": "TestProdOffering00016",
"version": "2.0",
"href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/tmf-api/productCatalogManagement/v4/productOffering/TestProdOffering00016",
"@referredType": "ProductOfferingOracle"
}
]
}